package cn.com.qmth.examcloud.core.examwork.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamOrgPropertyEntity;
import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamPropertyEntity;

public interface ExamOrgPropertyRepo
		extends
			JpaRepository<ExamOrgPropertyEntity, Long>,
			QueryByExampleExecutor<ExamOrgPropertyEntity>,
			JpaSpecificationExecutor<ExamOrgPropertyEntity> {

	ExamPropertyEntity findByexamIdAndOrgIdAndKeyId(Long examId, Long orgId, Long keyId);

}
